Bug 978468 - Exchange statistics byteReceives, byteDrops, byteRoutes do not increment.
Exchange statistics byteReceives, byteDrops, byteRoutes do not increment.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Unspecified
high Severity unspecified
: 3.0
: ---
Assigned To: Gordon Sim
Eric Sammons
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-26 12:48 EDT by Gordon Sim
Modified: 2015-01-21 07:57 EST (History)
3 users (show)

See Also:
Fixed In Version: qpid-cpp-0.22-6.el6, qpid-cpp-mrg-0.22-6.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-4950 None None None Never

  None (edit)
Description Gordon Sim 2013-06-26 12:48:20 EDT
Description of problem:

The msg stats (messages received/routed/dropped) update as expected, but the corresponding byte-based stats (byes received/routed/dropped) do not.

Version-Release number of selected component (if applicable):

Broken upstream by http://svn.apache.org/viewvc?view=revision&revision=1397502, as yet doesn't affect any released product but will be present in 2.4 candidates

How reproducible:

100%

Steps to Reproduce:
1. send a message (with non-zero content) to any exchange and observe the msgReceives and byteReceives stats for the exchange

Actual results:

msgReceives will have been incremented by the send, byteReceives will not

Expected results:

both msgReceives and byteReceives should be incremented

Additional info:
Comment 1 Gordon Sim 2013-06-26 14:13:56 EDT
Fixed upstream by https://svn.apache.org/r1497024
Comment 2 Leonid Zhaldybin 2013-07-24 08:22:21 EDT
Tested on RHEL6.4 (both x86_64 and i386). The exchange statistics are now updated properly.

Packages used for testing:

python-qpid-0.22-4.el6
python-qpid-qmf-0.22-6.el6
qpid-cpp-client-0.22-7.el6
qpid-cpp-client-devel-0.22-7.el6
qpid-cpp-client-devel-docs-0.22-7.el6
qpid-cpp-client-rdma-0.22-7.el6
qpid-cpp-client-ssl-0.22-7.el6
qpid-cpp-server-0.22-7.el6
qpid-cpp-server-devel-0.22-7.el6
qpid-cpp-server-ha-0.22-7.el6
qpid-cpp-server-rdma-0.22-7.el6
qpid-cpp-server-ssl-0.22-7.el6
qpid-cpp-server-store-0.22-7.el6
qpid-cpp-server-xml-0.22-7.el6
qpid-java-client-0.22-4.el6
qpid-java-common-0.22-4.el6
qpid-java-example-0.22-4.el6
qpid-proton-c-0.4-2.2.el6
qpid-qmf-0.22-6.el6
qpid-qmf-devel-0.22-6.el6
qpid-tools-0.22-3.el6

-> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.